Package org.gradle.platform.base

# Class InvalidModelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.platform.base.InvalidModelException

All Implemented Interfaces:
  `Serializable`

@Incubating public class InvalidModelException extends GradleException
Thrown when a component model is declared in an invalid way.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidModelException(String message)`
  `InvalidModelException(String message, Exception cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidModelException

    public InvalidModelException(String message)

  - ### InvalidModelException

    public InvalidModelException(String message, Exception cause)